package opc.ua.services.common;

public class EndpointDescription {

	private String endpointUrl;
	private ApplicationDescription server;
	private ApplicationInstanceCertificate serverCertificate;
	private MessageSecurityMode securityMode;
	private String securityPolicyUri;
	private UserTokenPolicy[] userIdentityTokens;
	private String transportProfileUri;
	private byte securityLevel;

	
	public String getEndpointUrl() {
		return endpointUrl;
	}
	public void setEndpointUrl(String endpointUrl) {
		this.endpointUrl = endpointUrl;
	}
	public ApplicationDescription getServer() {
		return server;
	}
	public void setServer(ApplicationDescription server) {
		this.server = server;
	}
	public ApplicationInstanceCertificate getServerCertificate() {
		return serverCertificate;
	}
	public void setServerCertificate(
			ApplicationInstanceCertificate serverCertificate) {
		this.serverCertificate = serverCertificate;
	}
	public MessageSecurityMode getSecurityMode() {
		return securityMode;
	}
	public void setSecurityMode(MessageSecurityMode securityMode) {
		this.securityMode = securityMode;
	}
	public String getSecurityPolicyUri() {
		return securityPolicyUri;
	}
	public void setSecurityPolicyUri(String securityPolicyUri) {
		this.securityPolicyUri = securityPolicyUri;
	}
	public UserTokenPolicy[] getUserIdentityTokens() {
		return userIdentityTokens;
	}
	public void setUserIdentityTokens(UserTokenPolicy[] userIdentityTokens) {
		this.userIdentityTokens = userIdentityTokens;
	}
	public String getTransportProfileUri() {
		return transportProfileUri;
	}
	public void setTransportProfileUri(String transportProfileUri) {
		this.transportProfileUri = transportProfileUri;
	}
	public byte getSecurityLevel() {
		return securityLevel;
	}
	public void setSecurityLevel(byte securityLevel) {
		this.securityLevel = securityLevel;
	}
	
}
